## webkit 1.8.0

=== debian/changelog ===
webkit (1.8.0-0ubuntu2) precise; urgency=low

  * debian/libwebkitgtk-1.0-0.symbols:
  * debian/libwebkitgtk-3.0-0.symbols:
    - Update symbols

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 30 Mar 2012 10:31:41 +1100

webkit (1.8.0-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Mar 2012 19:47:06 +0200

webkit (1.7.92-0ubuntu2) precise; urgency=low

  * Correctly update the .symbols this time

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Mar 2012 19:32:29 +0100

webkit (1.7.92-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Mar 2012 15:36:47 +0100

webkit (1.7.91-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/patches/git_fix_gtk2_build.patch: dropped, it's included

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Mar 2012 11:25:48 +0100

webkit (1.7.90-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/control:
    - let the dev packages depends on glib which is a pkgconfig requires
    - updated glib and pango requirements
  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    - new version update
  * debian/patches/01_double-conversion.patch:
    - dropped, the bug is fixed in the new version
  * debian/patches/03_fix-documentation-build.patch:
    - dropped, the issue are fixed in the new version
  * debian/patches/git_fix_gtk2_build.patch:
    - upstream patch, fix gtk2 build
  * debian/rules:
    - restore symbol checking enforcement
    - try to build with LDFLAGS = -Wl,--no-keep-memory to reduce the ld
      resource usage

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Feb 2012 19:29:08 +0100

webkit (1.7.5-0ubuntu3) precise; urgency=low

  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    - updated using regexp to avoid differences between archs due to
      cpp symbols mangling
  * debian/rules:
    - lower again the check control in case the .symbols is wrong,
      using -c1 was not enough...

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Feb 2012 23:36:45 +0100

webkit (1.7.5-0ubuntu2) precise; urgency=low

  * debian/rules:
    - don't stop the build on non accurates .symbols to get it to build

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Feb 2012 19:25:19 +0100

webkit (1.7.5-0ubuntu1) precise; urgency=low

  * New upstream version, dropped patches which is in the new version
  * debian/patches/03_fix-documentation-build.patch: 
    - updated, fixes new issue with the gtk2 documentation
  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Feb 2012 23:43:16 +0100

webkit (1.7.4-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    - new version update
  * debian/libjavascriptcoregtk-1.0-dev.install,
    debian/libjavascriptcoregtk-3.0-dev.install,
    debian/libwebkitgtk-3.0-dev.install,
    debian/libwebkitgtk-dev.install:
    - updated for the new version
  * debian/patches/01_double-conversion.patch:
    - restore an updated version from Debian
  * debian/patches/02_notebook_scroll.patch:
    - don't apply this patch added by Debian, 
      keep the upstream behaviour until we have a good reason to do otherwise
  * debian/patches/03_fix-documentation-build.patch:
    - Debian patch to fix the documentation build
  * debian/rules:
    - don't build with -j, it's buggy in the current version
    - updated documentation install taken from Debian git

  [ Jeremy Bicha ]
  * Fix build by using a regex for one of the symbols
  * debian/patches/04_fix-webview-in-offscreen-windows.patch:
    - bugs.webkit.org patch that should fix a Software Center crash

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Jan 2012 15:24:39 +0100

webkit (1.7.3-0ubuntu1~precise4) precise; urgency=low

  * debian/rules: Disable installing documentation as a hack to fix
    FTBFS

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 31 Dec 2011 18:41:08 -0500

webkit (1.7.3-0ubuntu1~precise2) precise; urgency=low

  * debian/rules: disable WebGL

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 30 Dec 2011 12:15:47 -0500

webkit (1.7.3-0ubuntu1~precise1) precise; urgency=low

  * New upstream unstable release
  * debian/control: Bump libsoup minimum version
  * debian/patches/01_double-conversion.patch: Dropped, upstream
  * debian/patches/03_freebsd-fix.patch: Dropped, upstream
  * debian/patches/04_pkgconfig-fix.patch: Dropped, upstream
  * debian/watch: Watch for unstable .xz releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2011 03:13:37 -0500

webkit (1.6.1-5build1) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 11:02:11 +0000
