## webkit 1.8.1

=== debian/changelog ===
webkit (1.8.1-3.4+rpi1) unstable; urgency=low

  [Mike Thompson <mpthompson@gmail.com>  Thu, 17 May 2012 17:28:35 -0700]
  * Non-maintainer upload.
  * Experiencing Javascript problems.  May be related to:
    https://bugs.webkit.org/show_bug.cgi?id=85076 
    Configuring with --disable-jit

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 02 Mar 2013 14:29:29 +0000

webkit (1.8.1-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix wide pointer issues on ia64 (closes: #642750).
  * Make favicon database thread-safe (closes: #697172).
  * Support architectures with large page sizes (closes: #694971).
  * Compile with --disable-jit on armel, mipsel, and powerpc (closes: #651636).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Feb 2013 21:46:48 +0000

webkit (1.8.1-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Disable debug symbols also for ia64.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 13 Sep 2012 23:39:52 +0200

webkit (1.8.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: use xz compression for binary packages. (Closes: #684139)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 08 Sep 2012 18:40:04 +0200

webkit (1.8.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix debian/patches/10_kfreebsd_support.patch
  debian/patches/11_hurd_support.patch patches for kfreebsd and hurd build
  (Closes: #669059).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 May 2012 11:00:30 +0200

webkit (1.8.1-3) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/rules:
  - Disable debug symbols also for hurd-i386 (Closes: #664810)
  * debian/patches/11_hurd_support.patch:
  - Add Hurd-specific code path before the catch-all UNIX code path for
    getting the executable path (Closes: 669059)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 23 May 2012 22:54:54 -0300

webkit (1.8.1-2) unstable; urgency=low

  [ Michael Biebl ]
  * debian/rules:
  - Use set -e in for loops to fail early
  - Standardize on $(shell ) for shell invocation and only add
    -Wl,--no-keep-memory for 32 bits architectures
  - Disable debugging symbols completely for architectures for
    which we were using -gstabs before, since they keep hitting
    memory limits on the buildds

  [ Jeremy Bicha ]
  * debian/rules:
  - Remove duplicate LDFLAGS when running configure
  * debian/watch:
  - Look for tar.xz files from now on

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 04 May 2012 12:37:56 -0300

webkit (1.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_kfreebsd_support.patch:
  - Patch by Steven Chamberlain <steven@pyro.eu.org> to fix the
    build for kFreeBSD (Closes: #669308)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 26 Apr 2012 19:52:12 -0300

webkit (1.8.0-2) unstable; urgency=low

  * Upload to unstable

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 03 Apr 2012 16:50:54 -0300

webkit (1.8.0-1) experimental; urgency=low

  * New stable release
  * debian/control:
  - move libwebkit-dev to oldlibs
  * debian/*.symbols:
  - updated with symbols additions

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 28 Mar 2012 09:53:38 -0300

webkit (1.7.92-1) experimental; urgency=low

  * New development release
  * debian/control:
  - wrapped Build-Dependencies
  * debian/rules:
  - pass --no-keep-memory to the linker, to make build less likely
    to fail with an OOM
  * debian/*.symbols:
  - updated with new symbols

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 26 Mar 2012 19:56:51 -0300

webkit (1.7.91-1) experimental; urgency=low

  * New development release
  * debian/patches/05_sparc-needs-alignment.patch:
  - removed; applied upstream
  * debian/libwebkitgtk*.symbols:
  - added DRT optional symbols that are different on i386/powerpc
  * debian/control:
  - replace dh_clean -k call with dh_prep
  - bump Build-Depends on debhelper, for dh_prep
  - bump Dependency on libsoup to for the -dev packages to match the
    Build-Dependency
  - Recommend gstreamer packages required to play most formats
    with <video> and <audio>
  * debian/rules:
  - disable parallel builds to work-around the racy problems
    we have seen in the wild

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 10 Mar 2012 23:25:33 -0300

webkit (1.7.90+svn20120304-1) experimental; urgency=low

  * New development release
  * debian/patches/01_double-conversion.patch,
    debian/patches/03_fix-documentation-build.patch,
    debian/patches/04_hurd-fix.patch:
  - removed; applied upstream
  * debian/*.symbols:
  - updated
  * Merged changes done in 1.6.3-2
  * debian/control:
  - Put all gir1.2-* packages into the introspection section.

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 04 Mar 2012 16:28:56 -0300

webkit (1.7.5-1) experimental; urgency=low

  * New development release
  * debian/patches/03_fix-documentation-build.patch:
  - refreshed, with changes from upstream
  * debian/patches/04_hurd-fix.patch:
  - refreshed;
  * Merged changes done in 1.6.3-1
  * debian/*.symbols:
  - updated symbols file with ABI changes

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 17 Feb 2012 11:48:31 -0200

webkit (1.7.4-1) experimental; urgency=low

  * New development release
  * debian/patches/01_double-conversion.patch:
  - refreshed; partially applied upstream
  * debian/patches/03_freebsd-fix.patch,
    debian/patches/04_pkgconfig-fix.patch:
  - removed; applied upstream
  * debian/patches/03_fix-documentation-build.patch:
  - added; fix building docs for the GTK+ 2 library
  * debian/control:
  - update build-dependency for libsoup2.4-dev to 2.37.4
  - add libgl1-mesa-dev as a B-D, since we now build with
    WebGL enabled by default
  * debian/rules:
  - adapted doc installation to the new system
  * debian/*.install:
  - include directory got renamed webkit->webkitgtk
  * debian/libwebkit*.symbols:
  - updated

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 19 Jan 2012 00:09:29 -0200


