## webkit 1.8.3

=== debian/changelog ===
webkit (1.8.3-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream security release
    - see LP: #1058339 for USN information

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 28 Sep 2012 03:49:48 -0500

webkit (1.8.1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream security release
    - see LP: #1027283 for USN information

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 20 Jul 2012 17:38:06 -0500
