=== debian/control ===
--- 
+++ 
@@ -1,39 +1,12 @@
 Source: webkit
 Priority: optional
 Section: web
-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>
-Build-Depends: gawk,
-               chrpath,
-               debhelper (>= 7.0),
-               libgtk2.0-dev (>= 2.24.3),
-               gir1.2-gtk-2.0,
-               libgtk-3-dev,
-               gir1.2-gtk-3.0 (>= 3.0.0),
-               libpango1.0-dev (>= 1.16),
-               libicu-dev,
-               libxslt-dev,
-               libsoup2.4-dev (>= 2.37.4),
-               gir1.2-soup-2.4,
-               libsqlite3-dev,
-               gperf,
-               bison,
-               flex,
-               libjpeg-dev,
-               libpng12-dev,
-               libxt-dev,
-               autotools-dev,
-               libgstreamer-plugins-base0.10-dev,
-               libenchant-dev,
-               gtk-doc-tools,
-               libgail-dev,
-               libgail-3-dev,
-               libgeoclue-dev,
-               gobject-introspection (>= 0.9.12-4),
-               libgirepository1.0-dev (>= 0.9.12-4),
-               libgl1-mesa-dev
+Build-Depends: gawk, chrpath, debhelper (>= 5.0), libglib2.0-dev (>= 2.31.2), libgtk2.0-dev (>= 2.24.3), gir1.2-gtk-2.0, libgtk-3-dev, gir1.2-gtk-3.0 (>= 3.0.0), libpango1.0-dev (>= 1.21), libicu-dev, libxslt-dev, libsoup2.4-dev (>= 2.37.2.1), gir1.2-soup-2.4, libsqlite3-dev, gperf, bison, flex, libjpeg-dev, libpng12-dev, libxt-dev, autotools-dev, libgstreamer-plugins-base0.10-dev, libenchant-dev, gtk-doc-tools, libgail-dev, libgail-3-dev, libgeoclue-dev, gobject-introspection (>= 0.9.12-4), libgirepository1.0-dev (>= 0.9.12-4)
 Build-Conflicts: gir-repository-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://webkitgtk.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
 Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git
@@ -51,8 +24,8 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Conflicts: libwebkitgtk-dev (<< 1.5.0), libwebkit-dev (<< 1.5.0)
-Replaces: libwebkitgtk-dev (<< 1.5.0), libwebkit-dev (<< 1.5.0)
+Conflicts: libwebkitgtk-dev (<< 1.5.0)
+Replaces: libwebkitgtk-dev (<< 1.5.0)
 Depends: libjavascriptcoregtk-1.0-0 (= ${binary:Version}),
          gir1.2-javascriptcoregtk-1.0 (= ${binary:Version}),
          ${misc:Depends}
@@ -76,7 +49,7 @@
  library for GTK+.
 
 Package: gir1.2-javascriptcoregtk-1.0
-Section: introspection
+Section: libs
 Architecture: any
 Depends: ${gir:Depends},
          ${misc:Depends}
@@ -96,10 +69,6 @@
          ${shlibs:Depends},
          libwebkitgtk-1.0-common (>= ${source:Upstream-Version}),
          ${misc:Depends}
-Recommends: gstreamer0.10-plugins-base,
-            gstreamer0.10-plugins-good,
-            gstreamer0.10-plugins-bad,
-            gstreamer0.10-ffmpeg
 Breaks: midori (<< 0.4.1-2), claws-mail-fancy-plugin (<< 3.7.10-3)
 Description: Web content engine library for GTK+
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
@@ -112,7 +81,7 @@
  This is the library for embedding in GTK+ applications.
 
 Package: libwebkit-dev
-Section: oldlibs
+Section: libdevel
 Priority: extra
 Architecture: any
 Depends: libwebkitgtk-dev (= ${binary:Version}), ${misc:Depends}
@@ -126,8 +95,9 @@
 Architecture: any
 Depends: libwebkitgtk-1.0-0 (= ${binary:Version}),
          gir1.2-webkit-1.0 (= ${binary:Version}),
+         libglib2.0-dev,
          libgtk2.0-dev (>= 2.24.3),
-         libsoup2.4-dev (>= 2.37.4),
+         libsoup2.4-dev (>= 2.37.2.1),
          libjavascriptcoregtk-1.0-dev (= ${binary:Version}),
          ${misc:Depends}
 Conflicts: libwebkit-dev (<< 1.3.0)
@@ -175,7 +145,7 @@
  This package provides the debugging symbols for the Webkit library for GTK+.
 
 Package: gir1.2-webkit-1.0
-Section: introspection
+Section: libs
 Architecture: any
 Depends: gir1.2-javascriptcoregtk-1.0 (= ${binary:Version}),
          ${gir:Depends},
@@ -226,7 +196,7 @@
  library for GTK+.
 
 Package: gir1.2-javascriptcoregtk-3.0
-Section: introspection
+Section: libs
 Architecture: any
 Depends: ${gir:Depends},
          ${misc:Depends}
@@ -246,10 +216,6 @@
          ${shlibs:Depends},
          libwebkitgtk-3.0-common (>= ${source:Upstream-Version}),
          ${misc:Depends}
-Recommends: gstreamer0.10-plugins-base,
-            gstreamer0.10-plugins-good,
-            gstreamer0.10-plugins-bad,
-            gstreamer0.10-ffmpeg
 Description: Web content engine library for GTK+
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
  used primarily in Apple's Safari browser.  It is made to be embedded in
@@ -266,8 +232,9 @@
 Architecture: any
 Depends: libwebkitgtk-3.0-0 (= ${binary:Version}),
          gir1.2-webkit-3.0 (= ${binary:Version}),
+         libglib2.0-dev,
          libgtk-3-dev,
-         libsoup2.4-dev (>= 2.37.4),
+         libsoup2.4-dev (>= 2.37.2.1),
          libjavascriptcoregtk-3.0-dev (= ${binary:Version}),
          ${misc:Depends}
 Description: Web content engine library for GTK+ - Development files
@@ -314,6 +281,15 @@
  This package provides the debugging symbols for the Webkit library for GTK+.
 
 Package: gir1.2-webkit-3.0
-Section: introspection
+Section: libs
 Architecture: any
 Depends: gir1.2-javascriptcoregtk-3.0 (= ${binary:Version}),
+         ${gir:Depends},
+         ${misc:Depends}
+Conflicts: gobject-introspection-repository, gir1.0-webkit-3.0
+Description: GObject introspection data for the WebKit library
+ This package contains introspection data for WebKit, a web content
+ engine for GTK+.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
