=== debian/rules ===
--- 
+++ 
@@ -5,40 +5,30 @@
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_HOST_ARCH_BITS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 
 GTK_VERSIONS = 2.0 3.0
 
-CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-CFLAGS += -Wall -Wl,--as-needed
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
-CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
-
-# Sacrifice speed in order to make it more likely resource limits
-# won't be hit.
-ifeq ($(DEB_HOST_ARCH_BITS),32)
-	LDFLAGS += -Wl,--no-keep-memory
-endif
-
+CFLAGS = -g -Wall -Wl,--as-needed
+LDFLAGS = -Wl,--no-keep-memory
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+        CFLAGS += -O0
+else
 ifeq (armhf,$(filter $(DEB_BUILD_ARCH),armhf))
 	CFLAGS += -O1
+else
+        CFLAGS += -O2
+endif
 endif
 
 ifeq ($(DEB_BUILD_ARCH),alpha)
-        LDFLAGS += -Wl,--no-relax
-endif
-
-ifneq (,$(findstring $(DEB_BUILD_ARCH),ia64 mips mipsel s390 s390x hurd-i386))
-	CFLAGS := $(CFLAGS:-g=)
-endif
-
-# disable jit on some architectures (bug #651636)
-ifneq (,$(findstring $(DEB_BUILD_ARCH),armel mipsel powerpc))
-	CONFIGUREFLAGS = --disable-jit
-endif
-
-# FIXME: parallel builds are currently not 100% working, so disable
+        CFLAGS += -Wl,--no-relax
+endif
+
+ifneq (,$(findstring $(DEB_BUILD_ARCH),mips mipsel s390 s390x))
+        CFLAGS += -gstabs
+endif
+
 #ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 #	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 #	MAKEARGUMENTS += -j$(NUMJOBS)
@@ -53,28 +43,24 @@
 	rm -rf debian/tmp-*
 	rm -f Source/WebKit/gtk/docs/version.xml
 
-	set -e; for file in config.guess config.sub; do \
+	for file in config.guess config.sub; do \
 		sed -i '2!b;/^exec "/ d' Source/autotools/$$file ; \
 	done
 
 	dh_clean
 
-build: build-arch build-indep
-
-build-indep:
-
-build-arch: build-stamp
+build: build-stamp
 
 build-stamp:
 	dh_testdir
 
-	set -e; for file in config.guess config.sub; do \
+	for file in config.guess config.sub; do \
 		sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' Source/autotools/$$file ; \
 	done
 
 	# FIXME: upstream is broken when running pot-update, is why we
 	# create the po directory manually here
-	set -e; for version in $(GTK_VERSIONS); do \
+	for version in $(GTK_VERSIONS); do \
 		if [ ! -d build-$${version} ]; then \
 			mkdir build-$${version}; \
 			mkdir -p build-$${version}/Source/WebKit/gtk/po/; \
@@ -83,24 +69,22 @@
 		env AR_FLAGS="cruT" \
 		CFLAGS="$(CFLAGS)" \
 		CXXFLAGS="$(CFLAGS)" \
-		CPPFLAGS="$(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" \
 		CC="gcc" \
 		CXX="g++" \
 		../configure --prefix=/usr \
-			--disable-jit \
 			--disable-silent-rules \
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--with-gtk=$${version} \
-			$(CONFIGUREFLAGS) \
 			--enable-gtk-doc \
 			--enable-introspection \
-			--enable-geolocation; \
+			--enable-geolocation \
+			--disable-webgl; \
 		cd ..; \
 	done
 
-	set -e; for version in $(GTK_VERSIONS); do \
+	for version in $(GTK_VERSIONS); do \
 		$(MAKE) $(MAKEARGUMENTS) -C build-$${version}; \
 	done
 
@@ -112,7 +96,7 @@
 	dh_testdir
 	dh_testroot
 
-	dh_prep
+	dh_clean -k
 
 ifeq (2.0,$(filter 2.0,$(GTK_VERSIONS)))
 	$(MAKE) -C build-2.0 install DESTDIR="$(CURDIR)"/debian/tmp-2.0
@@ -156,7 +140,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i -- -Zxz
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -197,13 +181,13 @@
 	dh_fixperms -a
 ifeq (2.0,$(filter 2.0,$(GTK_VERSIONS)))
 	dh_makeshlibs -plibjavascriptcoregtk-1.0-0 -V 'libjavascriptcoregtk-1.0-0 (>= 1.5.1)' -- -c4
-	dh_makeshlibs -plibwebkitgtk-1.0-0 -V 'libwebkitgtk-1.0-0 (>= 1.3.9)' -- -c4
+	dh_makeshlibs -plibwebkitgtk-1.0-0 -V 'libwebkitgtk-1.0-0 (>= 1.7.5)' -- -c4
 	dh_girepository --package=gir1.2-javascriptcoregtk-1.0
 	dh_girepository --package=gir1.2-webkit-1.0
 endif
 ifeq (3.0,$(filter 3.0,$(GTK_VERSIONS)))
 	dh_makeshlibs -plibjavascriptcoregtk-3.0-0 -V 'libjavascriptcoregtk-3.0-0 (>= 1.5.1)' -- -c4
-	dh_makeshlibs -plibwebkitgtk-3.0-0 -V 'libwebkitgtk-3.0-0 (>= 1.3.9)' -- -c4
+	dh_makeshlibs -plibwebkitgtk-3.0-0 -V 'libwebkitgtk-3.0-0 (>= 1.7.5)' -- -c4
 	dh_girepository --package=gir1.2-javascriptcoregtk-3.0
 	dh_girepository --package=gir1.2-webkit-3.0
 endif
@@ -211,8 +195,6 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a -- -Zxz
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
-
-.PHONY: build clean install binary binary-indep binary-arch
