=== debian/watch ===
version=3
http://webkitgtk.org/?page=download webkit-([\d]+\.[\d]+\.[\d]+).tar.xz
